@import 'css3-mixins';

$orange-header-background-color: #EA5709;

#quick-start-menu, #global-tools-menu {
  vertical-align: top;
  display: inline-block;
  @include box-sizing;
}
#quick-start-menu {
  width: 60%;
  padding-right: 5px;
}
#quick-start-menu, #global-tools-menu, #profile-button-menu {
  padding: 0 0 20px 0;
  h3 {
    margin-bottom: 2px;
  }
  p {
    margin: 0 0 10px 0;
  }
  ul {
    text-align: center;
    display: block;
    margin-top: 22px;
    li {
      vertical-align: top;
      display: inline;
      display: inline-block;
      margin-left: 50px;
      text-align: center;
      &:first-child {
        margin-left: 0;
      }
      a.btn {
        background-image: url(/assets/profile_buttons.png);
        background-position: 0 0;
        display: block;
        display: inline-block;
        width: 60px;
        height: 60px;
        margin-bottom: 3px;
        position: relative;
        &:hover, &.selected {
          background-position: 0 -61px;
        }
        &:active {
          background-position: 0 -122px;
        }
        &:hover~a.text, &.selected~a.text {
          color: $orange-header-background-color;
        }
        span.img {
          position: absolute;
          top: 0; left: 0; right: 0; bottom: 0;
          background-repeat: no-repeat;
        }
      }
      a.text {
        text-decoration: none;
        color: #000;
        line-height: 1.4;
        font-size: .9em;
        display: inline-block;
        width: 80px;
      }
      span.img {
        background-image: url(<%= image_path 'quick_start_icons.png' %>);
      }
      &.quick_pentest {
        span.img {
          background-position: -68px 3px;
          &:hover {
            background-position: -68px -70px;
          }
        }
      }
      &.quick_web_app_scan {
        span.img {
          background-position: -145px 7px;
          &:hover {
            background-position: -145px -68px;
          }
        }
      }
      &.quick_phish {
        span.img {
          background-position: 12px 10px;
          &:hover {
            background-position: 12px -70px;
          }
        }
      }
      &.vuln_validation {
        span.img {
          background-position: -213px 6px;
          &:hover {
            background-position: -214px -69px;
          }
        }
      }
      &.payload_generator {
        span.img {
          background-position: -273px 1px;
          &:hover {
            background-position: -272px -65px;
          }
        }
      }
      &.egadz {
        span.img {
          background-position: -333px 1px;
          &:hover {
            background-position: -333px -67px;
          }
        }
      }
    }
  }
}

#global-tools-menu {
  width: 40%;
  border-left: 3px solid #f0f0f0;
  padding-left: 15px;

}

div.border {
  position: relative;
  height: 3px;
  margin-bottom: 20px;
  hr {
    position: absolute;
    left: 0; right: 0;
    margin: 0 -15px 0 -15px;
    height: 3px;
    background: #f0f0f0;
    border: none;
  }
}
